# ModifierRewardPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ModifierRewardPhase

#### Hierarchy (view full)

- BattlePhase
  - ModifierRewardPhase
    - GameOverModifierRewardPhase
    - RibbonModifierRewardPhase

- Defined in src/phases.ts:4060

#####
Index

### Constructors

constructor

### Properties

modifierType
scene

### Methods

doReward
end
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new ModifierRewardPhase(scene, modifierTypeFunc): ModifierRewardPhase

- #### Parameters

  - scene: default
  - modifierTypeFunc: ModifierTypeFunc

  #### Returns ModifierRewardPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases.ts:4063

## Properties

### `Protected` modifierType

modifierType: ModifierType

- Defined in src/phases.ts:4061

### `Protected` scene

scene: default

Inherited from BattlePhase.scene

- Defined in src/phase.ts:4

## Methods

### doReward

- doReward(): Promise<void>

- #### Returns Promise<void>

  - Defined in src/phases.ts:4075

### end

- end(): void

- #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:17

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases.ts:671

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases.ts:644

### start

- start(): void

- #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases.ts:4069